Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.util
Class ColumnHelper

    java.lang.Object
      org.hibernate.hql.internal.ast.util.ColumnHelper

    public final class ColumnHelper

extends Object

Provides utility methods for dealing with arrays of SQL column names.

Method Summary
`static void` | `generateScalarColumns(HqlSqlWalkerNode node, String[] sqlColumns, int i)` Generates the scalar column AST nodes for a given array of SQL columns
`static void` | `generateSingleScalarColumn(HqlSqlWalkerNode node, int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateSingleScalarColumn

    public static void generateSingleScalarColumn(HqlSqlWalkerNode node,
                                                  int i)

### generateScalarColumns

    public static void generateScalarColumns(HqlSqlWalkerNode node,
                                             String[] sqlColumns,
                                             int i)

  Generates the scalar column AST nodes for a given array of SQL columns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.